net.minecraft.world.item.ItemStack
com.tom.createores.recipe.VeinRecipe
fr.lucreeper74.createmetallurgy.content.blocks.industrial_crucible.foundry.recipes.EntityIngredient$EntityInput
net.minecraft.world.level.biome.Biome
net.minecraftforge.fluids.FluidStack
